ColorRowRenderer

gui

## Class ColorRowRenderer

- java.lang.Object
- - gui.ColorRowRenderer

-     public class ColorRowRenderer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.util.HashSet<java.lang.Integer>` | `baseRows`
    `private ColorColumnCellRenderer[]` | `columnRenderers`
    `(package private) java.util.HashSet<java.lang.Integer>` | `equiRows`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorRowRenderer(int columnCount, java.awt.Color baseBgColor, java.awt.Color baseFgColor, java.awt.Color equiBgColor, java.awt.Color equiFgColor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBaseRows(int[] _rows)`
    `void` | `addEquiRows(int[] _rows)`
    `void` | `clearBaseRows()`
    `void` | `clearEquiRows()`
    `boolean` | `containsBaseRow(int row)`
    `boolean` | `containsEquiRow(int row)`
    `ColorColumnCellRenderer` | `getColumnRenderer(int index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### columnRenderers

          private ColorColumnCellRenderer[] columnRenderers

    - #### equiRows

          java.util.HashSet<java.lang.Integer> equiRows

    - #### baseRows

          java.util.HashSet<java.lang.Integer> baseRows

  - ### Constructor Detail

    - #### ColorRowRenderer

          public ColorRowRenderer(int columnCount,
                          java.awt.Color baseBgColor,
                          java.awt.Color baseFgColor,
                          java.awt.Color equiBgColor,
                          java.awt.Color equiFgColor)

  - ### Method Detail

    - #### getColumnRenderer

          public ColorColumnCellRenderer getColumnRenderer(int index)

    - #### clearEquiRows

          public void clearEquiRows()

    - #### clearBaseRows

          public void clearBaseRows()

    - #### addEquiRows

          public void addEquiRows(int[] _rows)

    - #### containsEquiRow

          public boolean containsEquiRow(int row)

    - #### addBaseRows

          public void addBaseRows(int[] _rows)

    - #### containsBaseRow

          public boolean containsBaseRow(int row)